org.apache.tomcat.util.bcel.classfile

## Class Deprecated

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Attribute
  - - org.apache.tomcat.util.bcel.classfile.Deprecated

All Implemented Interfaces:
  Serializable, Cloneable

    public final class Deprecated
    extends Attribute

This class is derived from Attribute and denotes that this is a deprecated method. It is instantiated from the Attribute.readAttribute() method.

Author:
  M. Dahm
See Also:
  `Attribute`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`constant_pool, length, name_index, tag`

### Constructor Summary

Constructors
Constructor and Description
`Deprecated(int name_index, int length, byte[] bytes, ConstantPool constant_pool)`

### Method Summary

Methods
`Attribute` `copy(ConstantPool _constant_pool)`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`clone, getName, getTag, readAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Deprecated

    public Deprecated(int name_index,
              int length,
              byte[] bytes,
              ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool to CONSTANT_Utf8
  `length` - Content length in bytes
  `bytes` - Attribute contents
  `constant_pool` - Array of constants

### Method Detail

#### toString

    public final String toString()

Overrides:
  `toString` in class `Attribute`
Returns:
  attribute name

#### copy

    public Attribute copy(ConstantPool _constant_pool)

Specified by:
  `copy` in class `Attribute`
Returns:
  deep copy of this attribute